Developers
API ReferenceReported Time

Retrieve the collection of ReportedTime resource.

GET
/project/reported-times

Retrieve the collection of ReportedTime resource.

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

reportedTimeId?string
order[reportDate]?string
Default"asc"

Value in

  • "asc"
  • "desc"
task?string
task[]?array<string>
projectUser?string
projectUser[]?array<string>
timeType?string
timeType[]?array<string>
project?string
project[]?array<string>
reportDate[before]?string
reportDate[strictly_before]?string
reportDate[after]?string
reportDate[strictly_after]?string
timesheetApproval?string

ReportedTime timesheetApproval

Formatuuid
timesheetApproval[]?array<>

ReportedTime timesheetApproval

Response Body

curl -X GET "https://example.com/project/reported-times"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "description": "string",    "reportDate": "2019-08-24T14:15:22Z",    "seconds": 0,    "isCreatedManually": true,    "timesheetApprovalStatus": "pending",    "projectUser": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": true,      "phoneNumber": "string",      "jobPositionName": "string",      "hourlyRate": null,      "isExternal": true,      "decorator": "string"    },    "task": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortCode": "string",      "no": 0,      "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",      "projectShortCode": "string",      "projectName": "string",      "projectIsSimple": true,      "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",      "stageName": "string",      "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",      "boardShortCode": "string",      "boardName": "string"    },    "timeType": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "isDefault": true,      "isPaid": true,      "isActive": true    }  }]